# $Revision: 1.6 $, $Date: 2005/03/28 20:19:05 $
Summary:	ImgView - simple GTK+ image viewer using Imlib
Summary(pl):	ImgView - prosta przegldarka obrazkw oparta na GTK+ i uywajca Imliba
Name:		iv
Version:	1.2.1
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
# Source0-md5:	e129c49d4e5306e9e8a0ad28f3a9abcd
URL:		http://wolfpack.twu.net/utilities.html#iv
BuildRequires:	gtk+-devel
BuildRequires:	imlib-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple GTK+ image viewer using Imlib.

%description -l pl
Prosta przegldarka obrazkw oparta na GTK+ i uywajca Imliba.

%prep
%setup -q

%build
./configure Linux
%{__make} -C iv \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer} -ffast-math -Wall \
		-DHAVE_LIBPNG -DHAVE_IMLIB -DINCLUDE_IV_TITLE_IMAGE \
		`gtk-config --cflags` `imlib-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install -C iv \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	ICONS_DIR=$RPM_BUILD_ROOT%{_pixmapsdir} \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1

bzip2 -d $RPM_BUILD_ROOT%{_mandir}/man1/*.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*.xpm
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iv.spec,v $
Revision 1.6  2005/03/28 20:19:05  adamg
- updated to 1.2.1 (by Jacek 'jackass' Brzozowski - metallowiec (at) op.pl)
- dropped -vidmode.patch

Revision 1.5  2004/09/02 17:55:30  darekr
- updated to 0.3.9

Revision 1.4  2004/04/19 22:59:37  qboosh
- updated to 0.3.6, added vidmode patch to detect shared libXxf86vm

Revision 1.3  2004/04/07 11:51:29  cieciwa
- version 0.3.5,
- release 1,
- updated MD5 sum,
- fixed %%build.

Revision 1.2  2003/12/01 07:32:17  cieciwa
- updated to version .15,
- fixed MD5sum.

Revision 1.1  2003/07/27 18:24:45  qboosh
- new
